##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Multimedia)	= PkgName
# sampledir (ksm-multimedia)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config/include file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for Multimedia

%define name	ksm-multimedia
%define version	1.0.10
%define release	6.2.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Multimedia utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Multimedia/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	% {_tmppath}/% {name}-% {version}-% {release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	alsa,exiftool,ffmpeg,id3v2,lame,lsof,mpg123,sox,tree
Requires:	ksm-libstd-sh >= 5.0.1-0.0.0,ksm-libmath2-sh >= 4.0.0-0.0.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains the following multimedia utilities to handle your 
music archive, CDDB-Database, MP3s, Mediafiles and more:

  audio2nut, 
  audiofilter-bandpass, audiofilter-bandreject, audiofilter-bass, 
  audiofilter-chorus, audiofilter-compand, audiofilter-crossfade, 
  audiofilter-dynaudnorm, audiofilter-dynvol, audiofilter-earwax, 
  audiofilter-echo, audiofilter-extrastereo, audiofilter-fade, 
  audiofilter-flanger, audiofilter-gate, audiofilter-highpass, 
  audiofilter-limiter, audiofilter-lowpass, audiofilter-phaser, 
  audiofilter-pulsator, audiofilter-resample, 
  audiofilter-stereotools, audiofilter-stereowiden, 
  audiofilter-tempo, audiofilter-treble, audiofilter-tremolo, 
  audiofilter-vibrato, audiofilter-volcomp, audiofilter-volume, 
  audiogen-noise, audiogen-sine, audiolayout, audioplay, 
  audiospectrum, audiovectorscope, audiovolinfo, audiovolman, 
  audiowaves, dump-videoframes, losslesscut, m3u-ck, m3u-stt, 
  makemosaic, makeplaydir, makeslideshow, makevideo, 
  media2media, media2wav, mediachannel-info, mediaconcat, mediacut, 
  mediademux, mediafilter-compand, mediafilter-dolby-volcomp, 
  mediafilter-dolby-volume, mediafilter-dynaudnorm, 
  mediafilter-equalizer, mediafilter-volcomp, mediafilter-volume, 
  mediainfo, mediajpegs2video, medialcut, mediamux, mediapts, 
  mediarecod-avi2mp4, mediarecod-mp42mp4, mediarecod-webm2mp4, 
  mediashow-frames, mediasplit, mediasplit5.1, mediastream-client, 
  mediastream-queue, mediastream-server, mediatitle, mediatxt2video, 
  mediavolinfo, mediavolshow, 
  mp3beautf-tags, mp3cp, mp3cpid3, mp3get-pic, mp3set-album, mp3set-artist, 
  mp3set-comment, mp3set-genre, mp3set-tfn, mp3set-title, mp3set-tpos, 
  mp3set-track, mp3set-year, mp3upd-list, 
  mp4upd-list, musicplay, playvol, reverse-video, 
  searchcddb, searchm3u, searchmp3, show-mp3tree, slame, update-multimedia.

Please check/configure:
 /usr/local/etc/multimedia.conf

After installation/upgrading this package users should refresh 
their HOME/.multimediarc with update-multimedia

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) % {_confdir}/sample.conf
#%config % {_confdir}/sample.conf
#%config % {_scnfdir}/sample
#%config % {_confdir}/sample.incl.rpmnew

#%attr(644,root,root)% {_confdir}/sample.conf
#%attr(644,root,root)% {_scnfdir}/sample.conf
%{_confdir}/multimedia.conf

#%attr(744,root,root)/% {_rcdir}/sampledm

%attr(755,root,root)%{_bindir}/audio2nut
%attr(755,root,root)%{_bindir}/audiofilter-bandpass
%attr(755,root,root)%{_bindir}/audiofilter-bandreject
%attr(755,root,root)%{_bindir}/audiofilter-bass
%attr(755,root,root)%{_bindir}/audiofilter-chorus
%attr(755,root,root)%{_bindir}/audiofilter-compand
%attr(755,root,root)%{_bindir}/audiofilter-crossfade
%attr(755,root,root)%{_bindir}/audiofilter-dynaudnorm
%attr(755,root,root)%{_bindir}/audiofilter-dynvol
%attr(755,root,root)%{_bindir}/audiofilter-earwax
%attr(755,root,root)%{_bindir}/audiofilter-echo
%attr(755,root,root)%{_bindir}/audiofilter-extrastereo
%attr(755,root,root)%{_bindir}/audiofilter-fade
%attr(755,root,root)%{_bindir}/audiofilter-flanger
%attr(755,root,root)%{_bindir}/audiofilter-gate
%attr(755,root,root)%{_bindir}/audiofilter-highpass
%attr(755,root,root)%{_bindir}/audiofilter-limiter
%attr(755,root,root)%{_bindir}/audiofilter-lowpass
%attr(755,root,root)%{_bindir}/audiofilter-phaser
%attr(755,root,root)%{_bindir}/audiofilter-pulsator
%attr(755,root,root)%{_bindir}/audiofilter-resample
%attr(755,root,root)%{_bindir}/audiofilter-stereotools
%attr(755,root,root)%{_bindir}/audiofilter-stereowiden
%attr(755,root,root)%{_bindir}/audiofilter-tempo
%attr(755,root,root)%{_bindir}/audiofilter-treble
%attr(755,root,root)%{_bindir}/audiofilter-tremolo
%attr(755,root,root)%{_bindir}/audiofilter-vibrato
%attr(755,root,root)%{_bindir}/audiofilter-volcomp
%attr(755,root,root)%{_bindir}/audiofilter-volume
%attr(755,root,root)%{_bindir}/audiogen-noise
%attr(755,root,root)%{_bindir}/audiogen-sine
%{_bindir}/audiolayout
%attr(755,root,root)%{_bindir}/audioplay
%attr(755,root,root)%{_bindir}/audiospectrum
%attr(755,root,root)%{_bindir}/audiovectorscope
%attr(755,root,root)%{_bindir}/audiovolinfo
%attr(755,root,root)%{_bindir}/audiovolman
%attr(755,root,root)%{_bindir}/audiowaves
%attr(755,root,root)%{_bindir}/dump-videoframes
%attr(755,root,root)%{_bindir}/losslesscut
%attr(755,root,root)%{_bindir}/m3u-ck
%attr(755,root,root)%{_bindir}/m3u-stat
%attr(755,root,root)%{_bindir}/makemosaic
%attr(755,root,root)%{_bindir}/makeplaydir
%attr(755,root,root)%{_bindir}/makeslideshow
%attr(755,root,root)%{_bindir}/makevideo
%attr(755,root,root)%{_bindir}/media2media
%{_bindir}/media2wav
%attr(755,root,root)%{_bindir}/mediachannel-info
%attr(755,root,root)%{_bindir}/mediaconcat
%{_bindir}/mediacut
%attr(755,root,root)%{_bindir}/mediademux
%attr(755,root,root)%{_bindir}/mediafilter-compand
%attr(755,root,root)%{_bindir}/mediafilter-dolby-volcomp
%attr(755,root,root)%{_bindir}/mediafilter-dolby-volume
%attr(755,root,root)%{_bindir}/mediafilter-dynaudnorm
%attr(755,root,root)%{_bindir}/mediafilter-equalizer
%attr(755,root,root)%{_bindir}/mediafilter-volcomp
%attr(755,root,root)%{_bindir}/mediafilter-volume
%{_bindir}/mediainfo
%attr(755,root,root)%{_bindir}/mediajpegs2video
%attr(755,root,root)%{_bindir}/medialcut
%attr(755,root,root)%{_bindir}/mediamux
%attr(755,root,root)%{_bindir}/mediaoverlay-image
%{_bindir}/mediapts
%attr(755,root,root)%{_bindir}/mediarecod-avi2mp4
%attr(755,root,root)%{_bindir}/mediarecod-mp42mp4
%attr(755,root,root)%{_bindir}/mediarecod-webm2mp4
%attr(755,root,root)%{_bindir}/mediashow-frames
%attr(755,root,root)%{_bindir}/mediashow-sidebyside
%{_bindir}/mediasplit
%attr(755,root,root)%{_bindir}/mediasplit5.1
%attr(755,root,root)%{_bindir}/mediastream-client
%attr(755,root,root)%{_bindir}/mediastream-queue
%attr(755,root,root)%{_bindir}/mediastream-server
%attr(755,root,root)%{_bindir}/mediatitle
%attr(755,root,root)%{_bindir}/mediatxt2video
%{_bindir}/mediavolinfo
%{_bindir}/mediavolshow
%attr(755,root,root)%{_bindir}/mp3beautf-tags
%attr(755,root,root)%{_bindir}/mp3cp
%attr(755,root,root)%{_bindir}/mp3cpid3
%attr(755,root,root)%{_bindir}/mp3get-pic
%attr(755,root,root)%{_bindir}/mp3set-album
%attr(755,root,root)%{_bindir}/mp3set-artist
%attr(755,root,root)%{_bindir}/mp3set-comment
%attr(755,root,root)%{_bindir}/mp3set-genre
%attr(755,root,root)%{_bindir}/mp3set-tfn
%attr(755,root,root)%{_bindir}/mp3set-title
%attr(755,root,root)%{_bindir}/mp3set-tpos
%attr(755,root,root)%{_bindir}/mp3set-track
%attr(755,root,root)%{_bindir}/mp3set-year
%attr(755,root,root)%{_bindir}/mp3upd-list
%attr(755,root,root)%{_bindir}/mp4upd-list
%attr(755,root,root)%{_bindir}/musicplay
%attr(755,root,root)%{_bindir}/playvol
%attr(755,root,root)%{_bindir}/reverse-video
%attr(755,root,root)%{_bindir}/searchcddb
%attr(755,root,root)%{_bindir}/searchm3u
%attr(755,root,root)%{_bindir}/searchmp3
%attr(755,root,root)%{_bindir}/show-mp3tree
%attr(755,root,root)%{_bindir}/slame
%attr(755,root,root)%{_bindir}/update-multimedia

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/mediafilter-equalizerrc
%{_datadir}/multimediarc.templ
%{_datadir}/white.mp4

#/usr/share/applications/multimedia.desktop
#% {_icondir}/16x16/apps/multimedia.png
#% {_icondir}/22x22/apps/multimedia.png
#% {_icondir}/32x32/apps/multimedia.png
#% {_icondir}/48x48/apps/multimedia.png
#% {_icondir}/64x64/apps/multimedia.png
#% {_icondir}/128x128/apps/multimedia.png
#/usr/share/pixmaps/multimedia.png

%docdir %{_man1dir}
%{_man1dir}/audio2nut.1.gz
%{_man1dir}/audiofilter-bandpass.1.gz
%{_man1dir}/audiofilter-bandreject.1.gz
%{_man1dir}/audiofilter-bass.1.gz
%{_man1dir}/audiofilter-chorus.1.gz
%{_man1dir}/audiofilter-compand.1.gz
%{_man1dir}/audiofilter-crossfade.1.gz
%{_man1dir}/audiofilter-dynaudnorm.1.gz
%{_man1dir}/audiofilter-dynvol.1.gz
%{_man1dir}/audiofilter-earwax.1.gz
%{_man1dir}/audiofilter-echo.1.gz
%{_man1dir}/audiofilter-extrastereo.1.gz
%{_man1dir}/audiofilter-fade.1.gz
%{_man1dir}/audiofilter-flanger.1.gz
%{_man1dir}/audiofilter-gate.1.gz
%{_man1dir}/audiofilter-highpass.1.gz
%{_man1dir}/audiofilter-limiter.1.gz
%{_man1dir}/audiofilter-lowpass.1.gz
%{_man1dir}/audiofilter-phaser.1.gz
%{_man1dir}/audiofilter-pulsator.1.gz
%{_man1dir}/audiofilter-resample.1.gz
%{_man1dir}/audiofilter-stereotools.1.gz
%{_man1dir}/audiofilter-stereowiden.1.gz
%{_man1dir}/audiofilter-tempo.1.gz
%{_man1dir}/audiofilter-treble.1.gz
%{_man1dir}/audiofilter-tremolo.1.gz
%{_man1dir}/audiofilter-vibrato.1.gz
%{_man1dir}/audiofilter-volcomp.1.gz
%{_man1dir}/audiofilter-volume.1.gz
%{_man1dir}/audiogen-noise.1.gz
%{_man1dir}/audiogen-sine.1.gz
%{_man1dir}/audiolayout.1.gz
%{_man1dir}/audioplay.1.gz
%{_man1dir}/audiospectrum.1.gz
%{_man1dir}/audiovectorscope.1.gz
%{_man1dir}/audiovolinfo.1.gz
%{_man1dir}/audiovolman.1.gz
%{_man1dir}/audiowaves.1.gz
%{_man1dir}/dump-videoframes.1.gz
%{_man1dir}/losslesscut.1.gz
%{_man1dir}/m3u-ck.1.gz
%{_man1dir}/m3u-stat.1.gz
%{_man1dir}/makemosaic.1.gz
%{_man1dir}/makeplaydir.1.gz
%{_man1dir}/makeslideshow.1.gz
%{_man1dir}/makevideo.1.gz
%{_man1dir}/media2media.1.gz
%{_man1dir}/media2wav.1.gz
%{_man1dir}/mediachannel-info.1.gz
%{_man1dir}/mediaconcat.1.gz
%{_man1dir}/mediacut.1.gz
%{_man1dir}/mediademux.1.gz
%{_man1dir}/mediafilter-compand.1.gz
%{_man1dir}/mediafilter-dolby-volcomp.1.gz
%{_man1dir}/mediafilter-dolby-volume.1.gz
%{_man1dir}/mediafilter-dynaudnorm.1.gz
%{_man1dir}/mediafilter-equalizer.1.gz
%{_man1dir}/mediafilter-volcomp.1.gz
%{_man1dir}/mediafilter-volume.1.gz
%{_man1dir}/mediainfo.1.gz
%{_man1dir}/mediajpegs2video.1.gz
%{_man1dir}/medialcut.1.gz
%{_man1dir}/mediamux.1.gz
%{_man1dir}/mediaoverlay-image.1.gz
%{_man1dir}/mediapts.1.gz
%{_man1dir}/mediarecod-avi2mp4.1.gz
%{_man1dir}/mediarecod-mp42mp4.1.gz
%{_man1dir}/mediarecod-webm2mp4.1.gz
%{_man1dir}/mediashow-frames.1.gz
%{_man1dir}/mediashow-sidebyside.1.gz
%{_man1dir}/mediasplit.1.gz
%{_man1dir}/mediasplit5.1.1.gz
%{_man1dir}/mediastream-client.1.gz
%{_man1dir}/mediastream-queue.1.gz
%{_man1dir}/mediastream-server.1.gz
%{_man1dir}/mediatitle.1.gz
%{_man1dir}/mediatxt2video.1.gz
%{_man1dir}/mediavolinfo.1.gz
%{_man1dir}/mediavolshow.1.gz
%{_man1dir}/mp3beautf-tags.1.gz
%{_man1dir}/mp3cp.1.gz
%{_man1dir}/mp3cpid3.1.gz
%{_man1dir}/mp3get-pic.1.gz
%{_man1dir}/mp3set-album.1.gz
%{_man1dir}/mp3set-artist.1.gz
%{_man1dir}/mp3set-comment.1.gz
%{_man1dir}/mp3set-genre.1.gz
%{_man1dir}/mp3set-tfn.1.gz
%{_man1dir}/mp3set-title.1.gz
%{_man1dir}/mp3set-tpos.1.gz
%{_man1dir}/mp3set-track.1.gz
%{_man1dir}/mp3set-year.1.gz
%{_man1dir}/mp3upd-list.1.gz
%{_man1dir}/mp4upd-list.1.gz
%{_man1dir}/musicplay.1.gz
%{_man1dir}/playvol.1.gz
%{_man1dir}/reverse-video.1.gz
%{_man1dir}/searchcddb.1.gz
%{_man1dir}/searchm3u.1.gz
%{_man1dir}/searchmp3.1.gz
%{_man1dir}/show-mp3tree.1.gz
%{_man1dir}/slame.1.gz
%{_man1dir}/update-multimedia.1.gz

%docdir %{_man7dir}
%{_man7dir}/mpeg.7.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#% {_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
test -e %{_confdir}/multimedia.conf && cp %{_confdir}/multimedia.conf %{_confdir}/multimedia.conf.rpmsave
#test -e %{_scnfdir}/multimedia && cp %{_scnfdir}/multimedia %{_scnfdir}/multimedia.rpmsave

# disable sample daemon and stop sampledm
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname. config file needs a version at first cnfvar!
cf=%{_confdir}/multimedia.conf
cnfvars=$(grep -v '^#' $cf | grep '[[:alnum:]]' | grep -v '\[' | cut -sd '=' -f1)
cnfvars=$(echo $cnfvars | cut -d ' ' -f2-)
ret=0

#incf=%{_confdir}/sampleconf.incl

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# handle include files
#if [ -e "$incf" ]; then
#	rm $incf.rpmnew
#else
#	mv $incf.rpmnew $incf
#	echo "Check $incf"
#fi

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# install/update all users rc files
updcmd='' usr='' u=''
updcmd="%{_bindir}/update-multimedia -q"
# for all usr below /home/ do:
#usr=$(/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1)
#for u in $usr; do
#	if [ -e /home/${u}/.multimediarc ]; then	# if exist rc file
#		/bin/su $u -c "$updcmd"
#	fi
#done
#echo "Package ksm-multimedia: All users rc files have been updated"
#echo "Package ksm-multimedia: All existing users rc files have been updated"

if [ "$1" == 1 ]; then					# install package
#	# set links to other pkgs
#	ln -sf /usr/bin/prog %{_bindir}/myprog
#
	echo "Configure $cf"
else							# upgrade package
	# update global conf
	if [ -e $cf.rpmsave ]; then
		c='' s='' t=''
		#cp $cf $cf.rpmnew
		. $cf
		. $cf.rpmsave

		# update conf vars START -------------------------------------
		if [ -x %{_bindir}/replcnfvar ]; then
			for c in $cnfvars; do
				t="\$$c"
				eval s="$t"
				s=\"$s\"
				%{_bindir}/replcnfvar $cf $c "$s"
			done
		else
			echo "Error - cmd replcnfvar not found or not executable!" >&2
			echo "Conf file not updated!" >&2
		fi
		# update conf vars STOP --------------------------------------

		# update array vars START ------------------------------------
		cnt=0 i=0
		# array var DynProf (contignous index from 0)
		cnt=${#DynProf[@]}			# max members of array
		i=0
		if [ "$cnt" -gt 0 ]; then		# any member in use?
			while [ "$i" -lt $cnt ]; do
				s="DynProf[$i]=\"${DynProf[$i]}\""
				echo "$s" >> $cf	# append to conf file
				let ++i
			done
		fi
		# update array vars STOP -------------------------------------

		# compare new conf vars <--> old conf vars
		diff $cf $cf.rpmsave > /dev/null 2>&1
		ret=$?
		if [ "$ret" -eq 0 ]; then
			rm $cf.rpmsave
		else
			echo "Check $cf"
		fi
	fi
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	test -e %{_confdir}/multimedia.conf && cp %{_confdir}/multimedia.conf %{_confdir}/multimedia.conf.rpmsave
	#test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave

	# disable sample daemon and stop sampledm
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/multimedia
#else							# upgrade package
fi
exit 0

%changelog
* Sun May 04 2025 Repomaster <repomaster@kaesmann-online.de> 1.0.10-6.2.0
- Following programs have been revised/improved
  (added options --crf, --r, --hq, --dvd):
  mediarecod-avi2mp4, mediarecod-mp42mp4, 
  mediarecod-webm2mp4.
- 'mp4upd-list' has been revised/improved.

* Sat Jan 25 2025 Repomaster <repomaster@kaesmann-online.de> 1.0.10-6.1.0
- Following programs have been revised/improved
  (added option --fhd):
  mediarecod-avi2mp4, mediarecod-mp42mp4, 
  mediarecod-webm2mp4.

* Thu Jan 09 2025 Repomaster <repomaster@kaesmann-online.de> 1.0.10-6.0.0
- Added 'mediarecod-avi2mp4', 'mediarecod-mp42mp4' 
  and 'mediarecod-webm2mp4'.

* Mon Jan 06 2025 Repomaster <repomaster@kaesmann-online.de> 1.0.10-5.0.0
- Following programs have been revised/improved:
  media2media (added option -fflags),
  medialcut (added options -c, -t, --pixfmt,
  this program has been heavenly overworked).

* Sun Apr 07 2024 Repomaster <repomaster@kaesmann-online.de> 1.0.10-4.0.0
- Following programs have been revised/improved:
  dump-videoframes, mediatitle.

* Sun Jan 14 2024 Repomaster <repomaster@kaesmann-online.de> 1.0.10-3.0.0
- Following progs have been revised/improved:
  medialcut, mediashow-frames, mp4upd-list.

* Sat Dec 02 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.10-2.0.0
- 'mp4upd-list' has been revised/improved.

* Sat Dec 02 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.10-1.0.0
- 'get-filmcover' has been removed.
- 'mp4upd-list' has been revised/improved.

* Thu Nov 30 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.10-0.0.0
- The format of the user RC-File has been changed.
- 'get-filmcover' has been revised/improved.

* Thu Nov 16 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-20.0.0
- Added 'audiogen-noise', 'audiogen-sine' and 'get-filmcover'.
- Following programs have been revised/improved:
  audiospectrum, audiovectorscope, makemosaic, media2media, 
  mediatxt2video, mp3upd-list, mp4upd-list.

* Fri Oct 13 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-19.0.0
- Following programs have been revised/improved:
  makemosaic, mediafilter-compand, mediafilter-dolby-volcomp, 
  mediafilter-dolby-volume, mediafilter-dynaudnorm, mediafilter-equalizer, 
  mediafilter-volcomp, mediafilter-volume, mediaoverlay-image, 
  mediasplit5.1, mediastream-client, mediastream-server, 
  mediatitle, mediatxt2video.

* Tue Oct 10 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-18.0.0
- Following programs have been revised/improved:
  audiofilter-bandpass, audiofilter-bandreject, audiofilter-bass, 
  audiofilter-chorus, audiofilter-compand, audiofilter-crossfade, 
  audiofilter-dynaudnorm, audiofilter-dynvol, audiofilter-earwax, 
  audiofilter-echo, audiofilter-extrastereo, audiofilter-fade, 
  audiofilter-flanger, audiofilter-gate, audiofilter-highpass, 
  audiofilter-limiter, audiofilter-lowpass, audiofilter-phaser, 
  audiofilter-pulsator, audiofilter-resample, audiofilter-stereotools, 
  audiofilter-stereowiden, audiofilter-tempo, audiofilter-treble, 
  audiofilter-tremolo, audiofilter-vibrato, audiofilter-volcomp, 
  audiofilter-volume, audioplay.

* Sun Oct 08 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-17.0.0
- Added 'audioplay'.
- Following programs have been revised/improved:
  audiofilter-bandpass, audiofilter-bandreject, audiofilter-bass,
  audiofilter-chorus, audiofilter-compand, audiofilter-crossfade,
  audiofilter-dynaudnorm, audiofilter-dynvol, audiofilter-earwax,
  audiofilter-echo, audiofilter-extrastereo, audiofilter-fade,
  audiofilter-flanger, audiofilter-gate, audiofilter-highpass,
  audiofilter-limiter, audiofilter-lowpass, audiofilter-phaser,
  audiofilter-pulsator, audiofilter-resample, audiofilter-stereotools,
  audiofilter-stereowiden, audiofilter-tempo, audiofilter-treble,
  audiofilter-tremolo, audiofilter-vibrato, audiofilter-volcomp,
  audiofilter-volume.

* Sun Oct 08 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-16.0.0
- Added 'audiofilter-resample'.
- Following programs have been revised/improved:
  audiofilter-compand, audiofilter-dynaudnorm,
  audiofilter-dynvol, audiofilter-fade,
  audiofilter-tempo, audiofilter-volcomp,
  audiofilter-volume.

* Fri Oct 06 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-15.0.0
- Following programs are added:
  audiofilter-bandpass, audiofilter-bandreject, audiofilter-bass, 
  audiofilter-chorus, audiofilter-crossfade, audiofilter-earwax, 
  audiofilter-echo, audiofilter-extrastereo, audiofilter-flanger, 
  audiofilter-gate, audiofilter-highpass, audiofilter-lowpass, 
  audiofilter-phaser, audiofilter-pulsator, audiofilter-stereotools, 
  audiofilter-stereowiden, audiofilter-treble, audiofilter-tremolo, 
  audiofilter-vibrato.
- Following programs have been revised/improved:
  audiofilter-compand, audiofilter-dynaudnorm, audiofilter-dynvol, 
  audiofilter-fade, audiofilter-limiter, audiofilter-tempo, 
  audiofilter-volcomp, audiofilter-volume.

* Tue Sep 26 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-14.0.0
- Added 'mediastream-queue'.
- Following programs have been revised/improved:
  m3u-ck, mediastream-client, mediastream-server.

* Thu May 11 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-13.0.0
- Added 'm3u-stat'.
- 'mediaoverlay-image' has been revised/improved

* Mon May 08 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-12.0.0
- Added following programs:
  mediaoverlay-image, mediashow-sidebyside,
  mediastream-client, mediastream-server.

* Fri May 05 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-11.0.0
- Following programs have renamed:
  FROM				TO
  audioshow-spectrum		audiospectrum
  audioshow-avectorscope	audiovectorscope
  audioshow-waves		audiowaves

* Fri May 05 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-10.0.0
- Following programs have been removed:
  audiomake-spectrumpic, audiomake-wavespic.
- Following programs have been revised/improved
  (added options -m -p):
  audioshow-spectrum, audioshow-waves,
  (docu has changed):
  mediachannel-info.

* Wed May 03 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-9.0.0
- Added following programs:
  audiomake-spectrumpic, audiomake-wavespic,
  audioshow-avectorscope, audioshow-spectrum,
  audioshow-waves.
- 'mediachannel-info' has been revised/improved:
  (help has been reworked).

* Mon May 01 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-8.0.0
- 'mediaxcut' has been renamed to 'medialcut'.

* Fri Apr 28 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-7.0.0
- Following programs have been revised/improved:
  makemosaic, mediaconcat, mediamux.
- 'medialcut' has been renamed to 'losslesscut'.

* Wed Apr 26 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-6.0.0
- Following programs have been revised/improved
  (change tempfile format for pipelining to nut):
  audiofilter-compand, audiofilter-dynaudnorm,
  audiofilter-dynvol, audiofilter-fade,
  audiofilter-limiter, audiofilter-tempo,
  audiofilter-volcomp, audiofilter-volume.

* Wed Apr 26 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-5.0.0
- Following programs have been revised/improved
  (added pipelining in/out):
  audiofilter-compand, audiofilter-dynaudnorm,
  audiofilter-dynvol, audiofilter-fade,
  audiofilter-limiter, audiofilter-tempo,
  audiofilter-volcomp, audiofilter-volume.

* Sun Apr 23 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-4.0.0
- The package has been revised/improved.
- Added 'mediasplit5.1'.
- Following programs have renamed:
  FROM			TO
  mediachannel-stats	mediachannel-info
  show-frames		mediashow-frames
  txt2video		mediatxt2video
  jpegs2video		mediajpegs2video

* Fri Apr 21 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-3.0.0
- Added 'mediafilter-dolby-volume' and
  'mediafilter-dolby-volcomp'.

* Thu Apr 20 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-2.0.0
- Removed 'audiostats'
- Added 'mediachannel-stats' and 'jpegs2video'.
- Moved 'audioinfo' to 'audiolayout'.
- Following progs have been revised/improved:
  media2media, mediamux, mediademux and all mediafilter-*

* Thu Apr 13 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-1.0.0
- 'audioinfo' has been moved to 'audiostats'.
- Added new 'audioinfo'.

* Mon Mar 27 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.9-0.0.0
- The config file and the user rc file have been changed.

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.8-13.0.0
- Following programs have been revised/improved:
  media2media, medialcut, mediaxcut, show-frames

* Fri Mar 24 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.8-12.0.0
- The RPM scriptlets have been revised/improved.

* Mon Feb 20 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.8-11.0.0
- 'medialcut' has been revised/improved
  (fixed error - crashes because missing '\').

* Sat Feb 18 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.8-10.0.0
- 'musicplay' has been revised/improved.

* Wed Feb 01 2023 Repomaster <repomaster@kaesmann-online.de> 1.0.8-9.0.0
- Following programs have been revised/improved:
  audiofilter-volcomp, audiofilter-volume,
  audiovlinfo, audiovolman,
  musicplay.

* Mon Nov 28 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-8.0.0
- Following programs have been revised/improved:
  audiofilter-dynvol, audiofilter-volcomp,
  audiofilter-volume, mediafilter-volcomp,
  mediafilter-volume.
- checkm3u has been renamed to m3u-ck.

* Sat Nov 26 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-7.0.0
- The package has been revised/improved.
  All programs have been overworked.

* Thu Nov 24 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-6.1.0
- 'mediafilter-equalizer' has been revised/improved
  (changed name of the rcfile .mediafiltereqrc to
  mediafilter-equalizerrc).

* Wed Nov 23 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-6.0.0
- The package has been revised/improved.
- Following programs have renamed:
  FROM			TO
  audiofilterb		audiofilter-volcomp
  audiofilterc		audiofilter-compand
  audiofilterd		audiofilter-dynaudnorm
  audiofilteru		audiofilter-dynvol
  audiofilterv		audiofilter-volume
  mediafilterb		mediafilter-volcomp
  mediafilterc		mediafilter-compand
  mediafilterd		mediafilter-dynaudnorm
  mediafiltereq		mediafilter-equalizer
  mediafilterv		mediafilter-volume
- Added following programs:
  audiofilter-fade, audiofilter-limiter,
  audiofilter-tempo, audioinfo

* Thu Nov 10 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-5.0.0
- The package has been revised/improved.
- Added audiofilterd, audiofilteru, audiovolman.

* Tue Sep 20 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-4.0.0
- 'makeplaydir' has been revised/improved
  (now the playlist may contain comments,
  leading '#').

* Tue Jun 14 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-3.2.0
- Following progs have been revised/improved:
  media2media, medialcut, mediaxcut.

* Wed Apr 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-3.1.0
- 'media2media' has been revised/improved
  (fixed verbosity).

* Wed Apr 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-3.0.0
- 'media2media' has been revised/improved
  (added option --pixfmt).

* Tue Apr 05 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-2.0.0
- 'update-multimedia' has been revised/improved.

* Sun Mar 27 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-1.0.0
- The package has been revised/improved
  (fixed an error in template multimediarc).

* Fri Mar 25 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.8-0.0.0
- The global config file multimedia.conf has been changed.
- 'mediaxcut' has been revised/improved.

* Mon Mar 14 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.4.0
- Following progs have been revised/improved:
  dump-videoframes, media2media

* Mon Mar 07 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.3.0
- Following progs have been revised/improved:
  dump-videoframes, media2media

* Fri Feb 18 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.2.0
- 'media2media' has been revised/improved
  (added option --vold).

* Fri Feb 11 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.1.0
- The global config file multimedia.conf has been updated.
- Following progs have been revised/improved:
  mediafilterb, mediafilterc, mediafilterd,
  mediafiltereq, mediafilterv

* Thu Feb 10 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.0.0
- The global config file multimedia.conf has been changed.
- Following progs have been revised/improved:
  mediafilterd, mp4upd-list

* Sat Feb 05 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.6-5.1.0
- Following progs have been revised/improved:
  makemosaic, mediaxcut

* Fri Jan 28 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.6-5.0.0
- Added 'audiovolinfo'.
- Following progs have been revised/improved:
  media2media, medialcut, mediaxcut

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.6-4.0.0
- Update to the libfuncstd-sh 4.0.0

* Tue Dec 28 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-3.2.0
- Following progs have been revised/improved:
  mediafilterd (added new profile),
  txt2video (modified info)

* Tue Dec 21 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-3.1.0
- Following progs have been revised/improved:
  makemosaic, makevideo, mediaconcat,
  mediafilterb, mediafilterc, mediafilterd,
  mediafilterv, medialcut, mediaxcut,
  txt2video

* Tue Dec 14 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-3.0.0
- Added 'mediafilterd'.
- Following progs have been revised/improved:
  media2media (mediavolshow --ss, --t, --to),
  mediafilterb (added option -i),
  mediafilterc (added option -i),
  mediafilterv (added option -i),

* Sat Dec 11 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.5.0
- Following progs have been revised/improved:
  mediafilterb (added option -i),
  mediafilterc (added option -i),
  mediafilterv (added option -i).

* Wed Dec 08 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.4.0
- 'txt2video' has been revised/improved
  (added option -t).

* Sun Nov 28 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.3.0
- Following progs have been revised/improved:
  makemosaic (option -v),
  media2media (option -v),
  medialcut (option -v),
  mediatitle (option -v),
  mediaxcut (option -v),
  txt2video (option -v),
  mediafilterb (option -v),
  mediafilterc (option -v),
  mediafiltereq (option -v),
  mediafilterv (option -v),
  mediademux (option -v),
  mediamux (option -v).

* Sat Nov 27 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.2.0
- 'media2media' has been revised/improved
  (option --to)

* Thu Nov 25 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.1.0
- Following progs have been revised/improved:
  (media2media option -c, mediaxcut).

* Thu Nov 18 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-2.0.0
- Following progs have been revised/improved
  media2media (added options -p, -S, --st
  and option --tt has changed to --to),
  medialcut (option --tt has changed to --to),
  mediaxcut (option --tt has changed to --to),
  makemosaic

* Tue Nov 16 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-1.3.0
- Following progs have been revised/improved
  (options --verbose, --quiet):
  txt2video, mediaconcat

* Mon Nov 15 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-1.2.0
- 'txt2video' has been revised/improved
  (options --verbose, --quiet).

* Sun Nov 07 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-1.1.0
- Following progs have been revised/improved
  (missing option -y to ffmpeg):
  media2media, medialcut

* Thu Nov 04 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-1.0.0
- 'cd2mp3' has been moved to package
  ksm-open-cd-dvd.

* Wed Nov 03 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.8.0
- 'media2media' has been revised/improved
  (verbose output).

* Tue Nov 02 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.7.0
- Following progs have been revised/improved
  (options -q and -v):
  media2media, mediaxcut

* Mon Nov 01 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.6.0
- 'mp3set-tpos' has been revised/improved
  (python-eyeD3 is not required).

* Sun Oct 31 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.5.0
- 'mediaxcut' has been revised/improved
  (verbosity).

* Tue Oct 26 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.4.0
- Following progs have been revised/improved
  (options -q and -v):
  media2media, mediaconcat, medialcut, mediaxcut

* Mon Oct 25 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.3.0
- mediaconcat and mediaxcut have been revised/improved
  (options -q and -v).

* Sun Apr 11 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.2.0
- mp4upd-list has been revised/improved
  (added output to all-artists.txt).

* Tue Jan 05 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.1.0
- mp4upd-list has been revised/improved
  (fixed error from undefined variable 'fdir').

* Tue Jan 05 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.0.0
- The global config file .multimedia.conf has been changed.
- The user config file ~/.multimediarc has been changed.
- Added following progs:
  audiofilterb, audiofilterc, audiofilterv, mp4upd-list
- Following progs have been revised/improved:
  mp3upd-list, update-multimedia

* Tue Dec 15 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-19.0.0
- Added show-mp3tree.
- mp3upd-tree has been revised/improved
  (it produces files as text and html).

* Mon Dec 14 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-18.1.0
- mp3upd-list has been revised/improved
  (removed options -f and -p).

* Mon Dec 14 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-18.0.0
- Added checkm3u.
- cd2mp3 has been revised/improved.

* Fri Dec 04 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-17.4.0
- mp3cp has been revised/improved.

* Sun Nov 29 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-17.3.0
- cd2mp3 and mp3cp have been revised/improved.

* Tue Nov 24 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-17.2.0
- mediaxcut has been revised/improved.

* Wed Oct 21 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-17.1.0
- Following progs have been revised/improved:
  mediaxcut, show-frames

* Sun Oct 18 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-17.0.0
- Added audiofilterb, audiofilterc, audiofilterv

* Thu Oct 15 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-16.3.0
- show-frames has been revised/improved
  (output has changed).

* Mon Oct 12 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-16.2.0
- show-frames has been revised/improved
  (added option -I).

* Sun Oct 11 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-16.1.0
- Following progs have been revised/improved:
  medialcut, mediaxcut, show-frames

* Sat Oct 10 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-16.0.0
- libmath-sh has been revised/improved.
  mediaxcut has been adapted to this and it
  has also been revised/improved (added option -r).
- Deleted show-gops.py
- show-frames has been revised/improved
  (now it shows H264 IDR-frames and I-frames
  with different chars).

* Tue Oct 06 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-15.0.0
- mediaeq has been renamed to mediafiltereq.
  The rc file reflects this change.
- All mediafilter* have been revised/improved.

* Mon Oct 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.6.0
- show-frames has been revised/improved
  (added options --ra, --rv).

* Fri Oct 02 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.5.0
- Following progs have been revised/improved:
  media2media, medialcut, mediaxcut

* Tue Sep 29 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.4.0
- medialcut and mediaxcut have been revised/improved.

* Mon Sep 28 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.3.0
- mediaxcut has been revised/improved
  (deleted options --gops, --gope).

* Sun Sep 27 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.2.0
- show-frames has been revised/improved
  (deleted options --ra, --rv, -s
  added option -i).
- Following progs have been revised/improved:
  medialcut, mediaxcut.

* Fri Sep 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.1.0
- mediaeq has been revised/improved
  (added options -o and -p).

* Fri Sep 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-14.0.0
- mediafiltereq has been renamed to mediaeq.
  Now the profiles are in the local user
  config file.

* Thu Sep 24 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-13.1.0
- mediafiltereq has been revised/improved.

* Wed Sep 23 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-13.0.0
- Added mediafiltereq

* Thu Sep 10 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-12.1.0
- mediaxcut has been revised/improved
  (added options --gops, --gope, --ss, --tt).
- The docu of following progs has been revised:
  mediafilterb, mediafilterc, mediafilterv

* Tue Aug 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-12.0.0
- Added mediaxcut.
- Following programs have been revised/improved
  (added option -o):
  mediafilterb, mediafilterc, mediafilterv.

* Tue Aug 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-11.0.0
- Added medialcut.

* Thu Jun 11 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-10.2.0
- mediatitle has been revised/improved
  (fixed an error while parsing options).

* Fri May 08 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-10.1.0
- The package has been revised/improved.

* Thu May 07 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-10.0.0
- Added mediatitle.
- media2media has been revised/improved
  (options -a, --title, --comment have been removed).

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-9.3.0
- The requirements have changed.

* Sat Apr 25 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-9.2.0
- txt2video has been revised/improved
  (fixed error if only 1 textsplitter).

* Tue Apr 21 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-9.1.0
- mediaconcat has been revised/improved
  (added options -o, --outfile).
- txt2video has been revised
  (becaue mediaconcat has changed).

* Sun Apr 19 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-9.0.0
- Added mediaconcat.
- media2media has been revised
  (rm link mediaconcat -> media2media).

* Sat Apr 18 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-8.3.0
- txt2video has been revised
  (tempfiles are created in tempdir).

* Sat Apr 04 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-8.2.0
- makeslideshow has been revised
  (added option -e).

* Wed Apr 01 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-8.1.0
- makeslideshow has been revised
  (added option -t).

* Fri Mar 27 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-8.0.0
- Added makeslideshow

* Sun Feb 16 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.6.0
- Following programs have been revised
  (output filename):
  mediafilterb, mediafilterc, mediafilterv.

* Fri Feb 14 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.5.0
- media2media has been revised
  (added option --tp).

* Thu Feb 06 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.4.0
- mediafilterc and mediafilterv have been revised.

* Wed Feb 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.3.0
- media2media has been revised.

* Sun Feb 02 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.2.0
- mediafilterc and mediafilterv have been revised.

* Thu Jan 23 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.1.0
- mediafilterc and mediafilterv have been revised
  (no defaults).

* Wed Jan 22 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-7.0.0
- Renamed mediafiltervc to mediafilterb.
- Added mediafilterc and mediafilterv.
- media2media has been revised.

* Mon Jan 20 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-6.0.0
- Added mediafiltervc
- media2media has been revised.
  This includes also the corresponding links.

* Sun Jan 19 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.7.0
- media2media has been revised
  (removed option --expand, changed option --compand).
  This includes also the corresponding links.
  The compander profiles are extensively extended.

* Wed Dec 18 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.6.0
- makemosaic has been revised
  (added option -s).

* Sun Nov 24 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.5.0
- show-frames has been revised.

* Sun Nov 24 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.4.0
- show-frames has been revised
  (added options -R, -r).

* Sat Nov 23 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.3.0
- media2media has been revised
  (options --ss,  --tt, --t have been reworked).

* Fri Nov 22 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.2.0
- show-frames has been revised
  (added option -s).

* Wed Nov 20 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.1.0
- media2media has been revised
  (output of mediainfo has been changed).

* Tue Nov 19 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-5.0.0
- media2media has been revised
  (added options --srepl, --setpts, --asetpts).
- Added show-frames
- showgops.py has been renamed to show-gops.py

* Tue Sep 24 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-4.1.0
- txt2video has been revised
  (Order of cmdline args have changed).

* Sun Sep 22 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-4.0.0
- Added makemosaic, makevideo, txt2video, showgops.py

* Thu Sep 19 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-3.0.0
- media2media has been revised
  (added option -g and the link mediavolshow).
- mediademux and mediamux have been revised.

* Tue Aug 06 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.6.0
- media2media has been revised
  (Added option --tt
  Removed option --acseek).

* Sat Mar 23 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.5.0
- media2media has been revised
  (Added option --acseek).

* Sun Mar 10 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.4.0
- media2media has been revised
  (Added options --title, --comment).

* Thu Feb 21 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.3.0
- media2media has been revised
  (option -i).

* Wed Feb 20 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.2.0
- media2media has been revised
  (Added option --expand,
  Removed option --downmix).

* Mon Feb 18 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.1.0
- media2media has been revised
  (Removed option --showtime, use -v for detailed listing.
  Added option --norm.
  Added option --downmix.
  Option -f has been revised, now we use
  the filter ebur128 for very quick output).

* Thu Jan 10 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-2.0.0
- media2media has been revised
  (added options -f, --volume and the link mediavolinfo).

* Mon Jan 07 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.5-1.4.0
- media2media has been revised
  (added option --compand).

* Wed Mar 14 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.5-1.3.0
- media2media has been revised

* Sat Feb 10 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.5-1.2.0
- media2media has been revised

* Thu Feb 08 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.5-1.1.0
- media2media has been revised

* Tue Feb 06 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.5-0.3.0
- media2media has been revised
  (added options --vr and --vsync).

* Sat Feb 03 2018 Repomaster <repomaster@kaesmann-online.de> 1.0.5-0.2.0
- media2media has been revised
  (calling media2media with link mediacut).

* Mon Feb 06 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.5-0.1.0
- All scripts have been revised
  (using function GetOpt).

* Wed Dec 21 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.5-0.0.0
- All scripts have been revised.
- The scripts makedvblst and mp3cpid3v1 have been removed.
- The script mp3cp.pl has been renamed to mp3cp .
- The script mp3cpid3v2 has been renamed to mp3cpid3 .

* Tue Nov 08 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-17.1.0
- The scripts cd2mp3 and musicplay have been revised.

* Wed Sep 14 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.4-17.0.0
- The script makemp3 has been renamed
  to cd2mp3 and it has been revised.

* Tue Dec 08 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-16.1.0
- Following scripts have been revised:
  dump-videoframes, media2media, media2wav, mediacut.

* Mon Feb 23 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.4-16.0.0
- Added the script dump-videoframes.

* Tue Dec 09 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.4-15.0.0
- Added the script musicplay.

* Fri Sep 26 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.4-14.1.1
- The docu has been revised.

* Fri Sep 19 2014 Repomaster <repomaster@kaesmann.us> 1.0.4-14.1.0
- The script mp3get-pic has been revised.

* Thu Sep 18 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-14.0.0
- Added the script mp3get-pic.

* Sun Aug 31 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-13.0.0
- Added the script makeplaydir.

* Wed Jun 25 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-12.3.0
- The script media2media has been revised.

* Sun Apr 13 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-12.2.0
- The script reverse-video has been revised
  (removed option -s).

* Wed Apr 09 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-12.1.0
- The script reverse-video has been revised.

* Wed Mar 26 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-12.0.0
- Following scripts have been moved to the new package
  ksm-jomp:
  jomp, jomp.tcl, kill-mpg123

* Thu Mar 20 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-11.1.0
- The musicplayer jomp.tcl has been revised.

* Mon Mar 03 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-11.0.0
- The musicplayer jomp.tcl has been revised.
- The docu of reverse-video has been revised.

* Mon Mar 03 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-10.0.0
- Removed the scripts flvdemux and flvmux-h264.

* Sun Mar 02 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-9.0.0
- Added the scripts mediademux, mediamux, reverse-video.

* Mon Dec 09 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-8.3.0
- The musicplayer jomp.tcl has been revised
  (error when CTRL-Q).

* Fri Nov 29 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-8.2.0
- The musicplayer jomp.tcl has been revised.
  The Player window has been improved
  (progress bar, counter, repeat).
- If no ID3 v. 2.3 tags exists then build of play list
  is done from ID3 v. 1.1 tags now.

* Tue Nov 26 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-8.1.0
- The musicplayer jomp.tcl has been revised.
  The Player window has been improved.
- Added a statusbar in each window.
- The dialog "Setup JOMP" has been improved.
  Added the variable "AutoPlay". If this is disabled
  then the player stops after each song.

* Mon Nov 25 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-8.0.0
- The musicplayer jomp.tcl has been revised.
  The Player window has been improved.

* Fri Nov 22 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-7.2.0
- The musicplayer jomp.tcl has been revised.
  Added button 'Test' to the Queue Manager.
  Corrected selection errors in the Player Window.

* Fri Nov 22 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-7.1.0
- The musicplayer jomp.tcl has been revised.

* Wed Nov 20 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-7.0.0
- The musicplayer jomp.tcl has been revised.
- The script kill-mpg123 has been revised.
- Added the script mp3info.

* Sat Oct 12 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-6.4.0
- The musicplayer jomp.tcl has been revised.

* Sat Oct 12 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-6.3.0
- The musicplayer jomp.tcl has been revised.

* Sat Oct 12 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-6.2.0
- The musicplayer jomp.tcl has been revised.

* Thu Oct 10 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-6.1.0
- The musicplayer jomp.tcl has been revised.

* Thu Oct 10 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-6.0.0
- The musicplayer jomp.tcl has been revised.
  Added the script kill-mpg123.
  The docu for jomp.tcl has been revised.

* Wed Oct 09 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-5.2.0
- The musicplayer jomp.tcl has been revised.
  The docu for jomp.tcl has been revised.

* Tue Oct 08 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-5.1.0
- The rpm scriptlets have been revised (added requirement
  for tcl/tk).

* Tue Oct 08 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-5.0.0
- Added the musicplayer jomp.tcl.
  This is a program for X.

* Tue Sep 17 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-4.0.0
- The musicplayer 'musicplay' has been removed.

* Tue Sep 17 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-3.0.0
- Added the musicplayer jomp.

* Fri Sep 13 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-2.3.0
- The script musicplay has been revised (added option -e
  and introduces a 32 band equalizer).
- The script getflash has been removed.

* Thu Sep 12 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-2.2.0
- The script musicplay has been revised.

* Wed Sep 11 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-2.1.0
- The script musicplay has been revised (added option -t
  and added menue entry 'Play+Clean Queue').

* Wed Sep 04 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-2.0.0
- The scripts scale-image and size-pngto720 have moved to
  package ksm-img-converter.

* Tue Aug 13 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-1.5.0
- The script media2media has been revised (added option -r).
  This includes the links media2wav, mediacut and mediainfo.

* Tue Aug 13 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-1.4.0
- The script media2media has been revised (rm option -Q,
  added option -qscale). This includes the links media2wav,
  mediacut and mediainfo.

* Tue Aug 13 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.4-1.3.0
- The script media2media has been revised (rm option -qscale,
  added option -Q). This includes the links media2wav,
  mediacut and mediainfo.

* Sat May 18 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.2.0
- The script media2media has been revised (rm option -sameq,
  added option -qscale). This includes the links media2wav,
  mediacut and mediainfo.

* Sat May 18 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.1.1
- The Docu for makemp3 has been revised.

* Tue Nov 27 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.1.0
- The script media2media has been revised. This includes the
  links media2wav, mediacut and mediainfo.
- Added the manpage 'mpeg'.

* Sat Nov 17 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-1.0.0
- Added the script playvol.

* Fri Sep 28 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.6.0
- The package has been revised.

* Tue May 08 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.5.0
- The script media2media has been revised (cmd -i).

* Thu Apr 26 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.4.0
- The config update process has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.3.0
- The package has been revised.

* Fri Apr 20 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.2.0
- The RPM scriptlets are revised.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.1.0
- The release naming scheme has changed ('.ksm' is removed).

* Sat Jan 28 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.1.0.ksm
- The script getflash is revised.

* Fri Jan 27 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.0.0.ksm
- The script gethiddenflash is removed.
- The script getflash is revised. Now it contains the functionality of
  gethiddenflash too.
- The user config ~/.multimediarc has changed.
  Added the variable BrCacheDir

* Mon Jan 16 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-4.0.0.ksm
- Following links are part of the installed filesystem:
  /usr/local/bin/media2media -> /usr/local/bin/media2wav
  /usr/local/bin/media2media -> /usr/local/bin/mediacut
  /usr/local/bin/media2media -> /usr/local/bin/mediainfo

* Sat Jan 14 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-3.0.0.ksm
- The script getflv is renamed to gethiddenflash.

* Thu Jan 12 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-2.0.0.ksm
- Following scripts are removed and replaced with script media2media:
  avi2mpeg, flv2avi, flv2wav, flvh264-recode, flvvid2avi, flvvid2flv,
  mediacut, mediainfo, mpeg-recodeaudio, video2anyfmt, video2paldvd.
- Following links will be generated:
  /usr/local/bin/media2media -> /usr/local/bin/media2wav
  /usr/local/bin/media2media -> /usr/local/bin/mediacut
  /usr/local/bin/media2media -> /usr/local/bin/mediainfo

* Tue Nov 29 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-1.0.0.ksm
- The script mpeg-recode is renamed to mpeg-recodeaudio.
- The script mpeg2mpeg has replaced with video2paldvd.
- Added the script video2anyfmt.

* Tue Oct 18 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-0.0.0.ksm
- The script getflv is revised (deleted cmds -i -w).
- The user config ~/.multimediarc has changed.

* Tue Aug 30 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.0.ksm
- Added the script mp3set-tpos.

* Thu Aug 25 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.4.0.ksm
- The script makemp3 is revised.

* Mon Aug 08 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.3.0.ksm
- The script mp3set-tfn is revised. Now an optional track number will
  set as ID3 Tag too.

* Sun Apr 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.2.0.ksm
- The script mediainfo is revised.

* Fri Feb 25 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.1.0.ksm
- The script getflv is revised (added cmd -w).

* Thu Feb 24 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.0.0.ksm
- Added the script getflash.

* Wed Feb 23 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.0.0.ksm
- The script getflv is revised and the userspecific config file
  .multimediarc is modified.

* Tue Feb 22 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-8.1.0.ksm
- The script getflv is revised.

* Mon Feb 21 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-8.0.0.ksm
- The script showflvc is renamed to getflv.

* Mon Feb 21 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-7.1.0.ksm
- The script showflvc is revised.

* Mon Feb 21 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-7.0.0.ksm
- Added the script showflvc.

* Tue Jan 04 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-6.2.0.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Sat Dec 11 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-6.2.0.ksm
- The script musicplay is revised.

* Sun Dec 05 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-6.1.0.ksm
- The script musicplay is totally revised.

* Sat Jun 05 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-6.0.0.ksm
- The script flvmux is renamed to flvmux-h264.
- Added the script flvdemux.
- The scripts flvdemux and flvmux-h264 are corrected.

* Tue Jun 01 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-5.0.0.ksm
- The script flv2mp3 is removed.
- Added the script mpeg-recode.
- Many scripts are revised.

* Mon May 31 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-4.0.0.ksm
- Added the script flvvid2flv.
- The scripts flvmux and flvvid2avi are revised.

* Wed Apr 14 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.3.0.ksm
- The script mp3upd-list is revised.

* Mon Apr 12 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.2.0.ksm
- All scripts are revised.

* Thu Feb 11 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.1.0.ksm
- Script mp3set-tfn is corrected.

* Thu Feb 11 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.0.0.ksm
- From now on the ID3 Tags should be written with blanks instead of
  underscores. Therefore some scripts are corrected to handle such strings.
- Added the script mp3beautf-tags.
- Scripts mp3beautf-artist and mp3beautf-title are removed.
  The functionality is now in mp3beautf-tags.
- Script mp3set-tfn is revised.

* Tue Feb 09 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-2.1.0.ksm
- Some scripts are revised.

* Sun Feb 07 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-2.0.0.ksm
- Added the script scale-image.
- Script size-pngto720 is revised.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.2.1.ksm
- Read version and dependency infos from external files.

* Mon Feb 01 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.2.0.ksm
- Script flvh264-recode is modified.

* Sat Jan 30 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.1.0.ksm
- Script flvh264-recode is modified. Now it needs only 1 arg.

* Fri Jan 29 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.0.0.ksm
- Script rep-dvdimg has moved to package open-cd-dvd. Therefore the
  Package Open-CD-DVD is only required for makemp3 now.
- Script makemp3 is modified.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.1.ksm
- The docu has changed.

* Sat Jan 23 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.0.ksm
- The scripts makemp3, update-multimedia and the docu are corrected.

* Tue Jan 19 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.0.0.ksm
- Added the script makedvblst.
- The vars 'DVBinFile' and 'DVBoutFile' are added to the user .multimediarc

* Sun Jan 17 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-4.0.0.ksm
- Following scripts are renamed:
  mpegcut   => mediacut
  videoinfo => mediainfo

* Fri Jan 08 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-3.0.0.ksm
- Following scripts are renamed:
  flv-mux    => flvmux
  flv2avi    => flvvid2avi
  flv2avi-av => flv2avi

* Thu Dec 31 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-2.0.0.ksm
- Added the scripts flv-mux, flv2avi, flv2avi-av, flvh264-recode, videoinfo

* Tue Dec 22 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0.ksm
- Added the scripts avi2mpeg, flv2mp3 and flv2wav

* Thu Nov 19 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.ksm.0.1
- The RPM scriptlets are corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
